Index: include/bn.h
===================================================================
--- include/bn.h	(revision 49726)
+++ include/bn.h	(working copy)
@@ -1792,10 +4063,25 @@
 
 
 /*----------------------------------------------------------------------*/
+
+
 /* vert_tree.c */
 /*
  * vertex tree support
  */
+
+/** @addtogroup vtree */
+/** @{ */
+/** @brief
+ * Routines to manage a binary search tree of vertices.
+ *
+ * The actual vertices are stored in an array
+ * for convenient use by routines such as "mk_bot".
+ * The binary search tree stores indices into the array.
+ *
+ */
+
+
 /**
  * packaging structure
  * holds all the required info for a single vertex tree
@@ -1816,14 +4102,47 @@
 
 #define BN_CK_VERT_TREE(_p) BU_CKMAG(_p, VERT_TREE_MAGIC, "vert_tree")
 
+
+/**		C R E A T E _ V E R T _ T R E E
+ *@brief
+ *	routine to create a vertex tree.
+ *
+ *	Possible refinements include specifying an initial size
+ */
 BN_EXPORT extern struct vert_root *create_vert_tree();
+
+/**		C R E A T E _ V E R T _ T R E E _ W _ N O R M S
+ *@brief
+ *	routine to create a vertex tree.
+ *
+ *	Possible refinements include specifying an initial size
+ */
 BN_EXPORT extern struct vert_root *create_vert_tree_w_norms();
+
+/**		F R E E _ V E R T_ T R E E
+ *@brief
+ *	Routine to free a vertex tree and all associated dynamic memory
+ */
 BN_EXPORT extern void free_vert_tree(struct vert_root *tree_root);
+
+/**		A D D _ V E R T
+ *@brief
+ *	Routine to add a vertex to the current list of part vertices.
+ *	The array is re-alloc'd if needed.
+ *	Returns index into the array of vertices where this vertex is stored
+ */
 BN_EXPORT extern int Add_vert(double x,
 			      double y,
 			      double z,
 			      struct vert_root *tree_root,
 			      fastf_t local_tol_sq);
+			      
+/**		A D D _ V E R T _ A N D _ N O R M
+ *@brief
+ *	Routine to add a vertex and a normal to the current list of part vertices.
+ *	The array is re-alloc'd if needed.
+ *	Returns index into the array of vertices where this vertex and normal is stored
+ */
 BN_EXPORT extern int Add_vert_and_norm(double x,
 				       double y,
 				       double z,
@@ -1832,10 +4151,25 @@
 				       double nz,
 				       struct vert_root *tree_root,
 				       fastf_t local_tol_sq);
+				       
+/**		C L E A N _ V E R T _ T R E E
+ *@brief
+ *	Routine to free the binary search tree and reset the current number of vertices.
+ *	The vertex array is left untouched, for re-use later.
+ */
 BN_EXPORT extern void clean_vert_tree(struct vert_root *tree_root);
 
+
 /*----------------------------------------------------------------------*/
+
+
 /* vectfont.c */
+
+/**
+ * @brief
+ *  Once-only setup routine
+ *  Used by libplot3/symbol.c, so it can't be static.
+ */
 BN_EXPORT extern void tp_setup();
 
 /**
@@ -1845,10 +4179,14 @@
 
 __END_DECLS
 
+
 /*----------------------------------------------------------------------*/
+
+
 /*
  * plane structures (from src/librt/plane.h)
  */
+
 /**
  * Plane structures
  * holds all the required info for geometric planes.
Index: src/libbn/tabdata.c
===================================================================
--- src/libbn/tabdata.c	(revision 49726)
+++ src/libbn/tabdata.c	(working copy)
@@ -17,6 +17,7 @@
  * License along with this file; see the file named COPYING for more
  * information.
  */
+
 /** @addtogroup anim */
 /** @{ */
 /** @file libbn/tabdata.c
@@ -49,9 +50,7 @@
 #include "bu.h"
 #include "bn.h"
 
-/*
- *			B N _ T A B L E _ F R E E
- */
+
 void
 bn_table_free(struct bn_table *tabp)
 {
@@ -62,9 +61,7 @@
     bu_free(tabp, "struct bn_table");
 }
 
-/*
- *			B N _ T A B D A T A _ F R E E
- */
+
 void
 bn_tabdata_free(struct bn_tabdata *data)
 {
@@ -78,9 +75,7 @@
     bu_free(data, "struct bn_tabdata");
 }
 
-/*
- *			B N _ C K _ T A B L E
- */
+
 void
 bn_ck_table(const struct bn_table *tabp)
 {
@@ -99,12 +94,7 @@
     }
 }
 
-/*
- *			B N _ T A B L E _ M A K E _ U N I F O R M
- *@brief
- *  Set up an independent "table margin" from 'first' to 'last',
- *  inclusive, using 'num' uniformly spaced samples.  Num >= 1.
- */
+
 struct bn_table *
 bn_table_make_uniform(size_t num, double first, double last) {
     struct bn_table	*tabp;
@@ -130,11 +120,6 @@
     return tabp;
 }
 
-/*
- *			B N _ T A B D A T A _ A D D
- *@brief
- *  Sum the values from two data tables.
- */
 void
 bn_tabdata_add(struct bn_tabdata *out, const struct bn_tabdata *in1, const struct bn_tabdata *in2)
 {
@@ -161,11 +146,6 @@
     /* VADD2N( out->y, i1->y, i2->y, in1->ny ); */
 }
 
-/*
- *			B N _ T A B D A T A _ M U L
- *@brief
- *  Element-by-element multiply the values from two data tables.
- */
 void
 bn_tabdata_mul(struct bn_tabdata *out, const struct bn_tabdata *in1, const struct bn_tabdata *in2)
 {
@@ -192,11 +172,6 @@
     /* VELMUL2N( out->y, i1->y, i2->y, in1->ny ); */
 }
 
-/*
- *			B N _ T A B D A T A _ M U L 3
- *@brief
- *  Element-by-element multiply the values from three data tables.
- */
 void
 bn_tabdata_mul3(struct bn_tabdata *out, const struct bn_tabdata *in1, const struct bn_tabdata *in2, const struct bn_tabdata *in3)
 {
@@ -225,13 +200,6 @@
     /* VELMUL3N( out->y, i1->y, i2->y, i3->y, in1->ny ); */
 }
 
-/*
- *			B N _ T A B D A T A _ I N C R _ M U L 3 _ S C A L E
- *@brief
- *  Element-by-element multiply the values from three data tables and a scalor.
- *
- *	out += in1 * in2 * in3 * scale
- */
 void
 bn_tabdata_incr_mul3_scale(struct bn_tabdata *out, const struct bn_tabdata *in1, const struct bn_tabdata *in2, const struct bn_tabdata *in3, register double scale)
 {
@@ -259,13 +227,6 @@
 	*op++ += *i1++ * *i2++ * *i3++ * scale;
 }
 
-/*
- *			B N _ T A B D A T A _ I N C R _ M U L 2 _ S C A L E
- *@brief
- *  Element-by-element multiply the values from two data tables and a scalor.
- *
- *	out += in1 * in2 * scale
- */
 void
 bn_tabdata_incr_mul2_scale(struct bn_tabdata *out, const struct bn_tabdata *in1, const struct bn_tabdata *in2, register double scale)
 {
@@ -291,11 +252,6 @@
 	*op++ += *i1++ * *i2++ * scale;
 }
 
-/*
- *			B N _ T A B D A T A _ S C A L E
- *@brief
- *  Multiply every element in a data table by a scalar value 'scale'.
- */
 void
 bn_tabdata_scale(struct bn_tabdata *out, const struct bn_tabdata *in1, register double scale)
 {
@@ -320,11 +276,6 @@
     /* VSCALEN( out->y, in->y, scale ); */
 }
 
-/*
- *			B N _ T A B L E _ S C A L E
- *@brief
- *  Scale the indepentent axis of a table by 'scale'.
- */
 void
 bn_table_scale(struct bn_table *tabp, register double scale)
 {
@@ -341,13 +292,6 @@
     /* VSCALEN( tabp->x, tabp->x, scale, tabp->nx+1 ); */
 }
 
-/*
- *			B N _ T A B D A T A _ J O I N 1
- *@brief
- *  Multiply every element in data table in2 by a scalar value 'scale',
- *  add it to the element in in1, and store in 'out'.
- *  'out' may overlap in1 or in2.
- */
 void
 bn_tabdata_join1(struct bn_tabdata *out, const struct bn_tabdata *in1, register double scale, const struct bn_tabdata *in2)
 {
@@ -376,14 +320,6 @@
     /* VJOIN1N( out->y, in1->y, scale, in2->y ); */
 }
 
-/*
- *			B N _ T A B D A T A _ J O I N 2
- *@brief
- *  Multiply every element in data table in2 by a scalar value 'scale2',
- *  plus in3 * scale3, and
- *  add it to the element in in1, and store in 'out'.
- *  'out' may overlap in1 or in2.
- */
 void
 bn_tabdata_join2(struct bn_tabdata *out, const struct bn_tabdata *in1, register double scale2, const struct bn_tabdata *in2, register double scale3, const struct bn_tabdata *in3)
 {
@@ -415,9 +351,6 @@
     /* VJOIN2N( out->y, in1->y, scale2, in2->y, scale3, in3->y ); */
 }
 
-/*
- *			B N _ T A B D A T A _ B L E N D 2
- */
 void
 bn_tabdata_blend2(struct bn_tabdata *out, register double scale1, const struct bn_tabdata *in1, register double scale2, const struct bn_tabdata *in2)
 {
@@ -446,9 +379,6 @@
     /* VBLEND2N( out->y, scale1, in1->y, scale2, in2->y ); */
 }
 
-/*
- *			B N _ T A B D A T A _ B L E N D 3
- */
 void
 bn_tabdata_blend3(struct bn_tabdata *out, register double scale1, const struct bn_tabdata *in1, register double scale2, const struct bn_tabdata *in2, register double scale3, const struct bn_tabdata *in3)
 {
@@ -481,13 +411,6 @@
     /* VBLEND3N( out->y, scale1, in1->y, scale2, in2->y, scale3, in3->y ); */
 }
 
-/*
- *			B N _ T A B D A T A _ A R E A 1
- *@brief
- *  Following interpretation #1, where y[j] stores the total (integral
- *  or area) value within the interval, return the area under the whole curve.
- *  This is simply totaling up the areas from each of the intervals.
- */
 double
 bn_tabdata_area1(const struct bn_tabdata *in)
 {
@@ -507,14 +430,6 @@
     return area;
 }
 
-/*
- *			B N _ T A B D A T A _ A R E A 2
- *@brief
- *  Following interpretation #2, where y[j] stores the average
- *  value for the interval, return the area under
- *  the whole curve.  Since the iterval spacing need not be uniform,
- *  sum the areas of the rectangles.
- */
 double
 bn_tabdata_area2(const struct bn_tabdata *in)
 {
@@ -537,15 +452,6 @@
     return area;
 }
 
-/*
- *			B N _ T A B D A T A _ M U L _ A R E A 1
- *@brief
- *  Following interpretation #1, where y[j] stores the total (integral
- *  or area) value within the interval, return the area under the whole curve.
- *  This is simply totaling up the areas from each of the intervals.
- *  The curve value is found by multiplying corresponding entries from
- *  in1 and in2.
- */
 double
 bn_tabdata_mul_area1(const struct bn_tabdata *in1, const struct bn_tabdata *in2)
 {
@@ -566,14 +472,6 @@
     return area;
 }
 
-/*
- *			B N _ T A B D A T A _ M U L _ A R E A 2
- *@brief
- *  Following interpretation #2,
- *  return the area under the whole curve.
- *  The curve value is found by multiplying corresponding entries from
- *  in1 and in2.
- */
 double
 bn_tabdata_mul_area2(const struct bn_tabdata *in1, const struct bn_tabdata *in2)
 {
@@ -631,13 +529,6 @@
     return -1;
 }
 
-/*
- *			B N _ T A B L E _ L I N _ I N T E R P
- *@brief
- *  Return the value of the curve at independent parameter value 'wl'.
- *  Linearly interpolate between values in the input table.
- *  Zero is returned for values outside the sampled range.
- */
 fastf_t
 bn_table_lin_interp(const struct bn_tabdata *samp, register double wl)
 {
@@ -681,17 +572,6 @@
     return ret;
 }
 
-/*
- *			B N _ T A B D A T A _ R E S A M P L E _ M A X
- *@brief
- *  Given a set of sampled data 'olddata', resample it for different
- *  spacing, by linearly interpolating the values when an output span
- *  is entirely contained within an input span, and by taking the
- *  maximum when an output span covers more than one input span.
- *
- *  This assumes interpretation (2) of the data, i.e. that the values
- *  are the average value across the interval.
- */
 struct bn_tabdata *
 bn_tabdata_resample_max(const struct bn_table *newtable, const struct bn_tabdata *olddata) {
     const struct bn_table	*oldtable;
@@ -761,17 +641,6 @@
     return newsamp;
 }
 
-/*
- *			B N _ T A B D A T A _ R E S A M P L E _ A V G
- *@brief
- *  Given a set of sampled data 'olddata', resample it for different
- *  spacing, by linearly interpolating the values when an output span
- *  is entirely contained within an input span, and by taking the
- *  average when an output span covers more than one input span.
- *
- *  This assumes interpretation (2) of the data, i.e. that the values
- *  are the average value across the interval.
- */
 struct bn_tabdata *
 bn_tabdata_resample_avg(const struct bn_table *newtable, const struct bn_tabdata *olddata) {
     const struct bn_table	*oldtable;
@@ -847,13 +716,6 @@
     return newsamp;
 }
 
-/*
- *			B N _ T A B L E _ W R I T E
- *@brief
- *  Write out the table structure in an ASCII file,
- *  giving the number of values (minus 1), and the
- *  actual values.
- */
 int
 bn_table_write(const char *filename, const struct bn_table *tabp)
 {
@@ -884,13 +746,6 @@
     return 0;
 }
 
-/*
- *			B N _ T A B L E _ R E A D
- *@brief
- *  Allocate and read in the independent variable values from an ASCII file,
- *  giving the number of samples (minus 1), and the
- *  actual values.
- */
 struct bn_table *
 bn_table_read(const char *filename) {
     int ret;
@@ -946,9 +801,6 @@
     return tabp;
 }
 
-/*
- *			B N _ P R _ T A B L E
- */
 void
 bn_pr_table(const char *title, const struct bn_table *tabp)
 {
@@ -962,9 +814,6 @@
     }
 }
 
-/*
- *			B N _ P R _ T A B D A T A
- */
 void
 bn_pr_tabdata(const char *title, const struct bn_tabdata *data)
 {
@@ -979,16 +828,6 @@
     bu_log("\n");
 }
 
-/*
- *			B N _ P R I N T _ T A B L E _ A N D _ T A B D A T A
- *@brief
- *  Write out a given data table into an ASCII file,
- *  suitable for input to GNUPLOT.
- *
- *	(set term postscript)
- *	(set output "|print-postscript")
- *	(plot "filename" with lines)
- */
 int
 bn_print_table_and_tabdata(const char *filename, const struct bn_tabdata *data)
 {
@@ -1022,17 +861,6 @@
     return 0;
 }
 
-/*
- *			B N _ R E A D _ T A B L E _ A N D _ T A B D A T A
- *@brief
- *  Read in a file which contains two columns of numbers, the first
- *  column being the wavelength, the second column being the sample value
- *  at that wavelength.
- *
- *  A new bn_table structure and one bn_tabdata structure
- *  are created, a pointer to the bn_tabdata structure is returned.
- *  The final wavelength is guessed at.
- */
 struct bn_tabdata *
 bn_read_table_and_tabdata(const char *filename) {
     struct bn_table	*tabp;
@@ -1095,9 +923,6 @@
     return data;
 }
 
-/*
- *			B N _ T A B D A T A _ B I N A R Y _ R E A D
- */
 struct bn_tabdata *
 bn_tabdata_binary_read(const char *filename, size_t num, const struct bn_table *tabp) {
     struct bn_tabdata	*data;
@@ -1159,14 +984,6 @@
     return data;
 }
 
-/*
- *			B N _ T A B D A T A _ M A L L O C _ A R R A Y
- *@brief
- *  Allocate storage for, and initialize, an array of 'num' data table
- *  structures.
- *  This subroutine is provided because the bn_tabdata structures
- *  are variable length.
- */
 struct bn_tabdata *
 bn_tabdata_malloc_array(const struct bn_table *tabp, size_t num) {
     struct bn_tabdata *data;
@@ -1197,9 +1014,6 @@
     return data;
 }
 
-/*
- *			B N _ T A B D A T A _ C O P Y
- */
 void
 bn_tabdata_copy(struct bn_tabdata *out, const struct bn_tabdata *in)
 {
@@ -1216,9 +1030,6 @@
     memcpy((char *)out->y, (const char *)in->y, BN_SIZEOF_TABDATA_Y(in));
 }
 
-/*
- *			B N _ T A B D A T A _ D U P
- */
 struct bn_tabdata *
 bn_tabdata_dup(const struct bn_tabdata *in) {
     struct bn_tabdata *data;
@@ -1232,12 +1043,6 @@
     return data;
 }
 
-/*
- *			B N _ T A B D A T A _ G E T _ C O N S T V A L
- *@brief
- *  For a given table, allocate and return a tabdata structure
- *  with all elements initialized to 'val'.
- */
 struct bn_tabdata *
 bn_tabdata_get_constval(double val, const struct bn_table *tabp) {
     struct bn_tabdata	*data;
@@ -1256,11 +1061,6 @@
     return data;
 }
 
-/*
- *			B N _ T A B D A T A _ C O N S T V A L
- *@brief
- *  Set all the tabdata elements to 'val'
- */
 void
 bn_tabdata_constval(struct bn_tabdata *data, double val)
 {
@@ -1276,13 +1076,6 @@
 	*op++ = val;
 }
 
-/*
- *			B N _ T A B D A T A _ T O _ T C L
- *@brief
- *  Convert an bn_tabdata/bn_table pair into a Tcl compatible string
- *  appended to a VLS.  It will have form:
- *	x {...} y {...} nx # ymin # ymax #
- */
 void
 bn_tabdata_to_tcl(struct bu_vls *vp, const struct bn_tabdata *data)
 {
@@ -1312,16 +1105,6 @@
 		  tabp->nx, minval, maxval);
 }
 
-/*
- *			B N _ T A B D A T A _ F R O M _ A R R A Y
- *@brief
- *  Given an array of (x, y) pairs, build the relevant bn_table and
- *  bn_tabdata structures.
- *
- *  The table is terminated by an x value <= 0.
- *  Consistent with the interpretation of the spans,
- *  invent a final span ending x value.
- */
 struct bn_tabdata *
 bn_tabdata_from_array(const double *array) {
     register const double *dp;
@@ -1352,12 +1135,6 @@
     return data;
 }
 
-/*
- *			B N _ T A B D A T A _ F R E Q _ S H I F T
- *@brief
- *  Shift the data by a constant offset in the independent variable
- *  (often frequency), interpolating new sample values.
- */
 void
 bn_tabdata_freq_shift(struct bn_tabdata *out, const struct bn_tabdata *in, double offset)
 {
@@ -1380,11 +1157,6 @@
     }
 }
 
-/*
- *			B N _ T A B L E _ I N T E R V A L _ N U M _ S A M P L E S
- *@brief
- *  Returns number of sample points between 'low' and 'hi', inclusive.
- */
 int
 bn_table_interval_num_samples(const struct bn_table *tabp, double low, double hi)
 {
@@ -1401,13 +1173,6 @@
     return count;
 }
 
-/*
- *			B N _ T A B L E _ D E L E T E _ S A M P L E _ P T S
- *@brief
- *  Remove all sampling points between subscripts i and j, inclusive.
- *  Don't bother freeing the tiny bit of storage at the end of the array.
- *  Returns number of points removed.
- */
 int
 bn_table_delete_sample_pts(struct bn_table *tabp, unsigned int i, unsigned int j)
 {
@@ -1433,12 +1198,6 @@
     return tokill;
 }
 
-/*
- *			B N _ T A B L E _ M E R G E 2
- *@brief
- *  A new table is returned which has sample points at places from
- *  each of the input tables.
- */
 struct bn_table *
 bn_table_merge2(const struct bn_table *a, const struct bn_table *b) {
     struct bn_table *newtab;
@@ -1481,18 +1240,6 @@
     return newtab;
 }
 
-/*
- *		B N _ T A B D A T A _ M K _ L I N E A R _ F I L T E R
- *@brief
- *  Create a filter to accept power in a given band.
- *  The first and last filter values will be in the range 0..1,
- *  while all the internal filter values will be 1.0,
- *  and all samples outside the given band will be 0.0.
- *
- *
- *  @return	NULL	if given band does not overlap input spectrum
- *  @return	tabdata*
- */
 struct bn_tabdata *
 bn_tabdata_mk_linear_filter(const struct bn_table *spectrum, double lower_wavelen, double upper_wavelen) {
     struct bn_tabdata *filt;
Index: src/libbn/msr.c
===================================================================
--- src/libbn/msr.c	(revision 49726)
+++ src/libbn/msr.c	(working copy)
@@ -17,6 +17,7 @@
  * License along with this file; see the file named COPYING for more
  * information.
  */
+
 /** @addtogroup msr */
 /** @{ */
 /** @file libbn/msr.c
@@ -43,38 +44,13 @@
  * Note: BN_MSR_MAXTBL must be an even number, preferably a power of two.
  */
 #define	BN_MSR_MAXTBL	4096	/* Size of random number tables. */
-
-
-/*	bn_unif_init	Initialize a random number structure.
- *
- * @par Entry
- *	setseed	seed to use
- *	method  method to use to generate numbers;
- *
- * @par Exit
- *	returns	a pointer to a bn_unif structure.
- *	returns 0 on error.
- *
- * @par Uses
- *	None.
- *
- * @par Calls
- *	bu_malloc
- *
- * @par Method @code
- *	malloc up a structure with pointers to the numbers
- *	get space for the integer table.
- *	get space for the floating table.
- *	set pointer counters
- *	set seed if one was given and setseed != 1
- @endcode
- *
- */
 #define	A	16807
 #define M	2147483647
 #define DM	2147483647.0
 #define Q	127773		/* Q = M / A */
 #define R	2836		/* R = M % A */
+
+
 struct bn_unif *
 bn_unif_init(long int setseed, int method)
 {
@@ -93,35 +69,8 @@
     p->magic = BN_UNIF_MAGIC;
     return p;
 }
-
-/*	bn_unif_long_fill	fill a random number table.
- *
- * Use the msrad algorithm to fill a random number table
- * with values from 1 to 2^31-1.  These numbers can (and are) extracted from
- * the random number table via high speed macros and bn_unif_long_fill called
- * when the table is exauseted.
- *
- * @par Entry
- *	p	pointer to a bn_unif structure.
- *
- * @par Exit
- *	if (!p) returns 1 else returns a value between 1 and 2^31-1
- *
- * @par Calls
- *	None.  msran is inlined for speed reasons.
- *
- * @par Uses
- *	None.
- *
- * @par Method @code
- *	if (!p) return 1;
- *	if p->msr_longs != NULL
- *		msr_longs is reloaded with random numbers;
- *		msr_long_ptr is set to BN_MSR_MAXTBL
- *	endif
- *	msr_seed is updated.
- @endcode
-*/
+
+
 long
 bn_unif_long_fill(struct bn_unif *p)
 {
@@ -155,35 +104,8 @@
     p->msr_seed =  (test < 0) ? test+M : test;
     return p->msr_seed;
 }
-
-/*	bn_unif_double_fill	fill a random number table.
- *
- * Use the msrad algorithm to fill a random number table
- * with values from -0.5 to 0.5.  These numbers can (and are) extracted from
- * the random number table via high speed macros and bn_unif_double_fill
- * called when the table is exauseted.
- *
- * @par Entry
- *	p	pointer to a bn_unif structure.
- *
- * @par Exit
- *	if (!p) returns 0.0 else returns a value between -0.5 and 0.5
- *
- * @par Calls
- *	None.  msran is inlined for speed reasons.
- *
- * @par Uses
- *	None.
- *
- * @par Method @code
- *	if (!p) return (0.0)
- *	if p->msr_longs != NULL
- *		msr_longs is reloaded with random numbers;
- *		msr_long_ptr is set to BN_MSR_MAXTBL
- *	endif
- *	msr_seed is updated.
- @endcode
-*/
+
+
 double
 bn_unif_double_fill(struct bn_unif *p)
 {
@@ -219,9 +141,7 @@
     return((p->msr_seed - M/2) * 1.0/DM);
 }
 
-/*	bn_unif_free	free random number table
- *
- */
+
 void
 bn_unif_free(struct bn_unif *p)
 {
@@ -231,31 +151,7 @@
     bu_free(p, "bn_unif");
 }
 
-
-/*	bn_gauss_init	Initialize a random number struct for gaussian
- *	numbers.
- *
- * @par Entry
- *	setseed		Seed to use.
- *	method		method to use to generate numbers (not used)
- *
- * @par Exit
- *	Returns a pointer toa bn_msr_guass structure.
- *	returns 0 on error.
- *
- * @par Calls
- *	bu_malloc
- *
- * @par Uses
- *	None.
- *
- * @par Method @code
- *	malloc up a structure
- *	get table space
- *	set seed and pointer.
- *	if setseed != 0 then seed = setseed
- @endcode
-*/
+
 struct bn_gauss *
 bn_gauss_init(long int setseed, int method)
 {
@@ -275,38 +171,8 @@
     p->magic = BN_GAUSS_MAGIC;
     return p;
 }
-
-/*	bn_gauss_fill	fill a random number table.
- *
- * Use the msrad algorithm to fill a random number table.
- * hese numbers can (and are) extracted from
- * the random number table via high speed macros and bn_msr_guass_fill
- * called when the table is exauseted.
- *
- * @par Entry
- *	p	pointer to a bn_msr_guass structure.
- *
- * @par Exit
- *	if (!p) returns 0.0 else returns a value with a mean of 0 and
- *	    a variance of 1.0.
- *
- * @par Calls
- *	BN_UNIF_CIRCLE to get to uniform random number whos radius is
- *	<= 1.0. I.e. sqrt(v1*v1 + v2*v2) <= 1.0
- *	BN_UNIF_CIRCLE is a macro which can call bn_unif_double_fill.
- *
- * @par Uses
- *	None.
- *
- * @par Method @code
- *	if (!p) return (0.0)
- *	if p->msr_longs != NULL
- *		msr_longs is reloaded with random numbers;
- *		msr_long_ptr is set to BN_MSR_MAXTBL
- *	endif
- *	msr_seed is updated.
- @endcode
-*/
+
+
 double
 bn_gauss_fill(struct bn_gauss *p)
 {
@@ -332,9 +198,8 @@
     fac = sqrt(-2.0*log(r)/r);
     return v1*fac;
 }
-/*	bn_gauss_free	free random number table
- *
- */
+
+
 void
 bn_gauss_free(struct bn_gauss *p)
 {
Index: src/libbn/qmath.c
===================================================================
--- src/libbn/qmath.c	(revision 49726)
+++ src/libbn/qmath.c	(working copy)
@@ -61,11 +61,6 @@
 #include "bn.h"
 
 
-/**
- *			Q U A T _ M A T 2 Q U A T
- *@brief
- *  Convert Matrix to Quaternion.
- */
 void
 quat_mat2quat(register fastf_t *quat, register const fastf_t *mat)
 {
@@ -125,14 +120,7 @@
 #undef MMM
 }
 
-/**
- *			Q U A T _ Q U A T 2 M A T
- *@brief
- *  Convert Quaternion to Matrix.
- *
- * NB: This only works for UNIT quaternions.  We may get imaginary results
- *   otherwise.  We should normalize first (still yields same rotation).
- */
+
 void
 quat_quat2mat(register fastf_t *mat, register const fastf_t *quat)
 {
@@ -159,11 +147,7 @@
     mat[15] = 1.0;
 }
 
-/**
- *			Q U A T _ D I S T A N C E
- *@brief
- * Gives the euclidean distance between two quaternions.
- */
+
 double
 quat_distance(const fastf_t *q1, const fastf_t *q2)
 {
@@ -173,14 +157,7 @@
     return QMAGNITUDE( qtemp );
 }
 
-/**
- *			Q U A T _ D O U B L E
- *@brief
- * Gives the quaternion point representing twice the rotation
- *   from q1 to q2.
- *   Needed for patching Bezier curves together.
- *   A rather poor name admittedly.
- */
+
 void
 quat_double(fastf_t *qout, const fastf_t *q1, const fastf_t *q2)
 {
@@ -193,13 +170,6 @@
     QUNITIZE( qout );
 }
 
-/**
- *			Q U A T _ B I S E C T
- *@brief
- * Gives the bisector of quaternions q1 and q2.
- * (Could be done with quat_slerp and factor 0.5)
- * [I believe they must be unit quaternions this to work]
- */
 void
 quat_bisect(fastf_t *qout, const fastf_t *q1, const fastf_t *q2)
 {
@@ -207,15 +177,7 @@
     QUNITIZE( qout );
 }
 
-/**
- *			Q U A T _ S L E R P
- *@brief
- * Do Spherical Linear Interpolation between two unit quaternions
- *  by the given factor.
- *
- * As f goes from 0 to 1, qout goes from q1 to q2.
- * Code based on code by Ken Shoemake
- */
+
 void
 quat_slerp(fastf_t *qout, const fastf_t *q1, const fastf_t *q2, double f)
 {
@@ -260,16 +222,7 @@
     }
 }
 
-/**
- *			Q U A T _ S B E R P
- *@brief
- * Spherical Bezier Interpolate between four quaternions by amount f.
- * These are intended to be used as start and stop quaternions along
- *   with two control quaternions chosen to match spline segments with
- *   first order continuity.
- *
- *  Uses the method of successive bisection.
- */
+
 void
 quat_sberp(fastf_t *qout, const fastf_t *q1, const fastf_t *qa, const fastf_t *qb, const fastf_t *q2, double f)
 {
@@ -288,16 +241,7 @@
     quat_slerp( qout, p4, p5, f );
 }
 
-/**
- *			Q U A T _ M A K E _ N E A R E S T
- *@brief
- *  Set the quaternion q1 to the quaternion which yields the
- *   smallest rotation from q2 (of the two versions of q1 which
- *   produce the same orientation).
- *
- * Note that smallest euclidian distance implies smallest great
- *   circle distance as well (since surface is convex).
- */
+
 void
 quat_make_nearest(fastf_t *q1, const fastf_t *q2)
 {
@@ -314,9 +258,7 @@
     }
 }
 
-/**
- *			Q U A T _ P R I N T
- */
+
 /* DEBUG ROUTINE */
 void
 quat_print(const char *title, const fastf_t *quat)
@@ -336,12 +278,7 @@
 	     axis[X], axis[Y], axis[Z] );
 }
 
-/**
- *			Q U A T _ E X P
- *@brief
- *  Exponentiate a quaternion, assuming that the scalar part is 0.
- *  Code by Ken Shoemake.
- */
+
 void
 quat_exp(fastf_t *out, const fastf_t *in)
 {
@@ -357,12 +294,7 @@
     out[W] = cos(theta);
 }
 
-/**
- *			Q U A T _ L O G
- *@brief
- *  Take the natural logarithm of a unit quaternion.
- *  Code by Ken Shoemake.
- */
+
 void
 quat_log(fastf_t *out, const fastf_t *in)
 {
Index: src/libbn/poly.c
===================================================================
--- src/libbn/poly.c	(revision 49726)
+++ src/libbn/poly.c	(working copy)
@@ -17,6 +17,7 @@
  * License along with this file; see the file named COPYING for more
  * information.
  */
+
 /** @addtogroup poly */
 /** @{ */
 /** @file libbn/poly.c
@@ -62,11 +63,6 @@
 }
 
 
-/**
- * bn_poly_mul
- *
- * @brief multiply two polynomials
- */
 struct bn_poly *
 bn_poly_mul(register struct bn_poly *product, register const struct bn_poly *m1, register const struct bn_poly *m2)
 {
@@ -116,11 +112,6 @@
 }
 
 
-/**
- * bn_poly_scale
- * @brief
- * scale a polynomial
- */
 struct bn_poly *
 bn_poly_scale(register struct bn_poly *eqn, double factor)
 {
@@ -133,11 +124,6 @@
 }
 
 
-/**
- * bn_poly_add
- * @brief
- * add two polynomials
- */
 struct bn_poly *
 bn_poly_add(register struct bn_poly *sum, register const struct bn_poly *poly1, register const struct bn_poly *poly2)
 {
@@ -167,11 +153,6 @@
 }
 
 
-/**
- * bn_poly_sub
- * @brief
- * subtract two polynomials
- */
 struct bn_poly *
 bn_poly_sub(register struct bn_poly *diff, register const struct bn_poly *poly1, register const struct bn_poly *poly2)
 {
@@ -203,12 +184,6 @@
 }
 
 
-/**
- * s y n D i v
- * @brief
- * Divides any polynomial into any other polynomial using synthetic
- * division.  Both polynomials must have real coefficients.
- */
 void
 bn_poly_synthetic_division(register struct bn_poly *quo, register struct bn_poly *rem, register const struct bn_poly *dvdend, register const struct bn_poly *dvsor)
 {
@@ -239,15 +214,6 @@
 }
 
 
-/**
- * b n _ p o l y _ q u a d r a t i c _ r o o t s
- *@brief
- * Uses the quadratic formula to find the roots (in `complex' form) of
- * any quadratic equation with real coefficients.
- *
- *	@return 1 for success
- *	@return 0 for fail.
- */
 int
 bn_poly_quadratic_roots(register struct bn_complex *roots, register const struct bn_poly *quadrat)
 {
@@ -308,36 +274,6 @@
 }
 
 
-/**
- * b n _ p o l y _ c u b i c _ r o o t s
- *@brief
- * Uses the cubic formula to find the roots (in `complex' form)
- * of any cubic equation with real coefficients.
- *
- * to solve a polynomial of the form:
- *
- * X**3 + c1*X**2 + c2*X + c3 = 0,
- *
- * first reduce it to the form:
- *
- * Y**3 + a*Y + b = 0,
- *
- * where
- * Y = X + c1/3,
- * and
- * a = c2 - c1**2/3,
- * b = (2*c1**3 - 9*c1*c2 + 27*c3)/27.
- *
- * Then we define the value delta,   D = b**2/4 + a**3/27.
- *
- * If D > 0, there will be one real root and two conjugate
- * complex roots.
- * If D = 0, there will be three real roots at least two of
- * which are equal.
- * If D < 0, there will be three unequal real roots.
- *
- * Returns 1 for success, 0 for fail.
- */
 int
 bn_poly_cubic_roots(register struct bn_complex *roots, register const struct bn_poly *eqn)
 {
@@ -436,15 +372,6 @@
 }
 
 
-/**
- * b n _ p o l y _ q u a r t i c _ r o o t s
- *@brief
- * Uses the quartic formula to find the roots (in `complex' form)
- * of any quartic equation with real coefficients.
- *
- *	@return 1 for success
- *	@return 0 for fail.
- */
 int
 bn_poly_quartic_roots(register struct bn_complex *roots, register const struct bn_poly *eqn)
 {
@@ -524,11 +451,6 @@
 }
 
 
-/**
- * b n _ p r _ p o l y
- *
- * Print out the polynomial.
- */
 void
 bn_pr_poly(const char *title, register const struct bn_poly *eqn)
 {
@@ -568,11 +490,7 @@
     bu_vls_free(&str);
 }
 
-/**
- * b n _ p r _ r o o t s
- *
- * Print out the roots of a given polynomial (complex numbers)
- */
+
 void
 bn_pr_roots(const char *title, const struct bn_complex *roots, int n)
 {
@@ -585,6 +503,7 @@
 }
 
 /** @} */
+
 /*
  * Local Variables:
  * mode: C
Index: src/libbn/vectfont.c
===================================================================
--- src/libbn/vectfont.c	(revision 49726)
+++ src/libbn/vectfont.c	(working copy)
@@ -17,6 +17,7 @@
  * License along with this file; see the file named COPYING for more
  * information.
  */
+
 /** @addtogroup plot */
 /** @{ */
 /** @file libbn/vectfont.c
@@ -56,11 +57,6 @@
 
 int *tp_cindex[256];	/* index to stroke tokens */
 
-/**
- * @brief
- *  Once-only setup routine
- *  Used by libplot3/symbol.c, so it can't be static.
- */
 void
 tp_setup(void)
 {
